Katello - Bug #6690

Activation Keys & Content Views : permission denied when accessing

07/18/2014 10:09 AM - Brad Buckingham

Status: Closed
Priority: High
Assignee: Brad Buckingham
Category: Web Ul
Target version: Katello 2.0
Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/445
9
Description

There was a recent change to check permissions prior to loading bastion pages. It appears that some permissions were missed
which affect the ability to load the Activation Keys and Content Views pages and possibly perform other actions.

For reference, the following is the PR where the changes were introduced:
https://github.com/Katello/katello/pull/4382

Associated revisions

Revision 85838bad - 07/18/2014 10:49 AM - Brad Buckingham

fixes #6690 / BZ 1111695 - content views & activation keys - fix bastion permission checking

The following PR introduced checking for permissions prior to loading
bastion pages; however, some changes were missed for content views
and activation keys:

https://github.com/Katello/katello/pull/4382

This commit addresses the issues that were observed.

Revision 51c6aida - 07/18/2014 10:49 AM - Brad Buckingham

fixes #6690 / BZ 1111695 - content views & activation keys - fix bastion permission checking

The following PR introduced checking for permissions prior to loading
bastion pages; however, some changes were missed for content views
and activation keys:

https://qgithub.com/Katello/katello/pull/4382

This commit addresses the issues that were observed.

Revision ddbde13b - 07/18/2014 11:30 AM - Brad Buckingham
Merge pull request #4459 from bbuckingham/issue-6690

fixes #6690 / BZ 1111695 - content views & activation keys - fix bastion permission checking

History

#1 - 07/18/2014 10:50 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4459 added
- Pull request deleted ()

#2 - 07/18/2014 12:02 PM - Brad Buckingham
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100
Applied in changeset katello|85838bad68332057188636102bfa806339e2864c.

#3 - 08/22/2014 09:23 AM - Eric Helms

- translation missing: en.field_release set to 13
